%global momorel 1

Name:           gpicview
Version:        0.1.9
Release:        %{momorel}m%{?dist}
Summary:        A simple and fast Image Viewer for X

Group:          User Interface/Desktops
License:        GPL
URL:            http://lxde.sourceforge.net/gpicview/
Source0:        http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, libjpeg-devel
BuildRequires:  desktop-file-utils, gettext

%description
GPicView is a simple and fast Image Viewer for X.

Features:
 * Extremely lightweight and fast with low memory usage
 * Very suitable for default image viewer of desktop system
 * Simple and intuitive interface
 * Minimal lib dependency: Only pure GTK+ is used
 * Desktop independent: Doesn't require any specific desktop environment
 * Open source, licensed under GNU GPL

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor=                                  \
        --dir %{buildroot}%{_datadir}/applications              \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
update-desktop-database &> /dev/null ||:

%postun
update-desktop-database &> /dev/null ||:

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sat Jun 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.9-1m)
- update to 0.1.9

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.7-2m)
- rebuild against gcc43

* Wed Dec  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.7-1m)
- import to Momonga from fedora

* Sat Nov 24 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.7-1
- Initial Fedora Package

